Package com.sun.mail.imap

# Class AppendUID

java.lang.Object
com.sun.mail.imap.AppendUID

public class AppendUID extends Object
Information from the APPENDUID response code defined by the UIDPLUS extension - RFC 4315.

Author:
  Bill Shannon

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`uid`
`long`
`uidvalidity`

## Constructor Summary

Constructors
Constructor
Description
`AppendUID(long uidvalidity, long uid)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### uidvalidity

public long uidvalidity

### uid

public long uid

## Constructor Details

### AppendUID

public AppendUID(long uidvalidity, long uid)